%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           Django
Version:        1.3
Release:        2.1%{?dist}
Summary:        A high-level Python Web framework

Group:          Development/Languages
License:        BSD
URL:            http://www.djangoproject.com/
Source0:        http://media.djangoproject.com/releases/%{version}/Django-%{version}.tar.gz
# stub simplejson module that imports the system version
Source1:        simplejson-init.py
Patch0:         Django-remove-djangodocs-ext.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Note: No longer required in development version > 0.95
# BuildRequires:  python-setuptools
BuildRequires:  python-devel
%if 0%{?rhel} > 4 || 0%{?fedora} > 0
BuildRequires:  python-sphinx
%endif

# Temporary workaround for documentary generation problem due to
# Sphinx 1.0 changes
# This allows for upgrading from a previous release if -doc is installed
%if 0%{?fedora} > 13
Provides:       Django-doc = %{version}-%{release}
Obsoletes:      Django-doc < %{version}-%{release}
%endif

Requires:       python-simplejson


%description
Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle.

%if 0%{?rhel} > 4 || 0%{?fedora} >= 12
%package doc
Summary:        Documentation for Django
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-docs = %{version}-%{release}
Obsoletes:      %{name}-docs < %{version}-%{release}

%description doc
This package contains the documentation for the Django high-level
Python Web framework.
%endif

%prep
%setup -q -n %{name}-%{version}
%patch0
# remove bundled simplejson
cd django/utils/simplejson/
rm -rf *
# and put the replacement stub in place
cp -p %{SOURCE1} __init__.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT

# Fix upstream filename mistake
mv django/conf/locale/es_MX/__init__py django/conf/locale/es_MX/__init__.py

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd $RPM_BUILD_ROOT && find . -name 'django*.mo') | %{__sed} -e 's|^.||' | %{__sed} -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

# If it's rhel5+ or any Fedora over 12 build docs
%if 0%{?rhel} > 4 || 0%{?fedora} >= 12
    # build documentation
    (cd docs && mkdir djangohtml && mkdir -p _build/{doctrees,dirhtml} && make dirhtml)
%endif


# install man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -p docs/man/* $RPM_BUILD_ROOT%{_mandir}/man1/

# Fix items in %{_bindir}
mv $RPM_BUILD_ROOT%{_bindir}/django-admin.py $RPM_BUILD_ROOT%{_bindir}/django-admin

# remove .po files
find $RPM_BUILD_ROOT -name "*.po" | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_bindir}/django-admin
%{_mandir}/man1/*
%attr(0755,root,root) %{python_sitelib}/django/conf/project_template/manage.py*
%attr(0755,root,root) %{python_sitelib}/django/contrib/admin/media/js/compress.py*
%attr(0755,root,root) %{python_sitelib}/django/bin/profiling/gather_profile_stats.py*
%attr(0755,root,root) %{python_sitelib}/django/bin/*-messages.py*
%attr(0755,root,root) %{python_sitelib}/django/bin/daily_cleanup.py*
%attr(0755,root,root) %{python_sitelib}/django/bin/django-admin.py*
%{python_sitelib}/django/bin/profiling/__init__.py*
%{python_sitelib}/django/bin/__init__.py*
# Include everything but the locale data ...
%{python_sitelib}/django/db/
%{python_sitelib}/django/*.py*
%{python_sitelib}/django/shortcuts/
%{python_sitelib}/django/utils/
%{python_sitelib}/django/dispatch/
%{python_sitelib}/django/template/
%{python_sitelib}/django/views/
## START
%{python_sitelib}/django/contrib/admindocs/urls.py*
%{python_sitelib}/django/contrib/admindocs/utils.py*
%{python_sitelib}/django/contrib/admindocs/models.py*
%{python_sitelib}/django/contrib/admindocs/tests/fields.py*
%{python_sitelib}/django/contrib/admindocs/tests/__init__.py*
%{python_sitelib}/django/contrib/admindocs/__init__.py*
%{python_sitelib}/django/contrib/admindocs/views.py*
%{python_sitelib}/django/contrib/admindocs/templates
%{python_sitelib}/django/contrib/formtools/wizard.py*
%{python_sitelib}/django/contrib/formtools/utils.py*
%{python_sitelib}/django/contrib/formtools/models.py*
%{python_sitelib}/django/contrib/formtools/tests/urls.py*
%{python_sitelib}/django/contrib/formtools/tests/__init__.py*
%{python_sitelib}/django/contrib/formtools/preview.py*
%{python_sitelib}/django/contrib/formtools/__init__.py*
%{python_sitelib}/django/contrib/formtools/templates
%{python_sitelib}/django/contrib/formtools/tests/templates
%{python_sitelib}/django/contrib/webdesign/models.py*
%{python_sitelib}/django/contrib/webdesign/lorem_ipsum.py*
%{python_sitelib}/django/contrib/webdesign/templatetags/webdesign.py*
%{python_sitelib}/django/contrib/webdesign/templatetags/__init__.py*
%{python_sitelib}/django/contrib/webdesign/tests.py*
%{python_sitelib}/django/contrib/webdesign/__init__.py*
%{python_sitelib}/django/contrib/syndication/feeds.py*
%{python_sitelib}/django/contrib/syndication/__init__.py*
%{python_sitelib}/django/contrib/syndication/views.py*
%{python_sitelib}/django/contrib/sitemaps/models.py*
%{python_sitelib}/django/contrib/sitemaps/management/commands/ping_google.py*
%{python_sitelib}/django/contrib/sitemaps/management/commands/__init__.py*
%{python_sitelib}/django/contrib/sitemaps/management/__init__.py*
%{python_sitelib}/django/contrib/sitemaps/tests/urls.py*
%{python_sitelib}/django/contrib/sitemaps/tests/basic.py*
%{python_sitelib}/django/contrib/sitemaps/tests/__init__.py*
%{python_sitelib}/django/contrib/sitemaps/__init__.py*
%{python_sitelib}/django/contrib/sitemaps/views.py*
%{python_sitelib}/django/contrib/sitemaps/templates
%{python_sitelib}/django/contrib/sitemaps/tests/templates
%{python_sitelib}/django/contrib/csrf/middleware.py*
%{python_sitelib}/django/contrib/csrf/__init__.py*
%{python_sitelib}/django/contrib/humanize/templatetags/humanize.py*
%{python_sitelib}/django/contrib/humanize/templatetags/__init__.py*
%{python_sitelib}/django/contrib/humanize/__init__.py*
%{python_sitelib}/django/contrib/auth/context_processors.py*
%{python_sitelib}/django/contrib/auth/decorators.py*
%{python_sitelib}/django/contrib/auth/urls.py*
%{python_sitelib}/django/contrib/auth/admin.py*
%{python_sitelib}/django/contrib/auth/middleware.py*
%{python_sitelib}/django/contrib/auth/forms.py*
%{python_sitelib}/django/contrib/auth/models.py*
%{python_sitelib}/django/contrib/auth/management/commands/changepassword.py*
%{python_sitelib}/django/contrib/auth/management/commands/createsuperuser.py*
%{python_sitelib}/django/contrib/auth/management/commands/__init__.py*
%{python_sitelib}/django/contrib/auth/management/__init__.py*
%{python_sitelib}/django/contrib/auth/backends.py*
%{python_sitelib}/django/contrib/auth/tests/auth_backends.py*
%{python_sitelib}/django/contrib/auth/tests/decorators.py*
%{python_sitelib}/django/contrib/auth/tests/urls.py*
%{python_sitelib}/django/contrib/auth/tests/forms.py*
%{python_sitelib}/django/contrib/auth/tests/models.py*
%{python_sitelib}/django/contrib/auth/tests/basic.py*
%{python_sitelib}/django/contrib/auth/tests/permissions.py*
%{python_sitelib}/django/contrib/auth/tests/tokens.py*
%{python_sitelib}/django/contrib/auth/tests/remote_user.py*
%{python_sitelib}/django/contrib/auth/tests/__init__.py*
%{python_sitelib}/django/contrib/auth/tests/views.py*
%{python_sitelib}/django/contrib/auth/tests/signals.py*
%{python_sitelib}/django/contrib/auth/tokens.py*
%{python_sitelib}/django/contrib/auth/__init__.py*
%{python_sitelib}/django/contrib/auth/handlers/modpython.py*
%{python_sitelib}/django/contrib/auth/handlers/__init__.py*
%{python_sitelib}/django/contrib/auth/views.py*
%{python_sitelib}/django/contrib/auth/signals.py*
%{python_sitelib}/django/contrib/auth/create_superuser.py*
%{python_sitelib}/django/contrib/auth/fixtures
%{python_sitelib}/django/contrib/auth/tests/templates
%{python_sitelib}/django/contrib/localflavor/id/id_choices.py*
%{python_sitelib}/django/contrib/localflavor/id/forms.py*
%{python_sitelib}/django/contrib/localflavor/id/__init__.py*
%{python_sitelib}/django/contrib/localflavor/ch/forms.py*
%{python_sitelib}/django/contrib/localflavor/ch/ch_states.py*
%{python_sitelib}/django/contrib/localflavor/ch/__init__.py*
%{python_sitelib}/django/contrib/localflavor/au/forms.py*
%{python_sitelib}/django/contrib/localflavor/au/au_states.py*
%{python_sitelib}/django/contrib/localflavor/au/__init__.py*
%{python_sitelib}/django/contrib/localflavor/se/utils.py*
%{python_sitelib}/django/contrib/localflavor/se/se_counties.py*
%{python_sitelib}/django/contrib/localflavor/se/forms.py*
%{python_sitelib}/django/contrib/localflavor/se/__init__.py*
%{python_sitelib}/django/contrib/localflavor/il/forms.py*
%{python_sitelib}/django/contrib/localflavor/il/__init__.py*
%{python_sitelib}/django/contrib/localflavor/cz/forms.py*
%{python_sitelib}/django/contrib/localflavor/cz/cz_regions.py*
%{python_sitelib}/django/contrib/localflavor/cz/__init__.py*
%{python_sitelib}/django/contrib/localflavor/us/forms.py*
%{python_sitelib}/django/contrib/localflavor/us/models.py*
%{python_sitelib}/django/contrib/localflavor/us/us_states.py*
%{python_sitelib}/django/contrib/localflavor/us/__init__.py*
%{python_sitelib}/django/contrib/localflavor/fi/fi_municipalities.py*
%{python_sitelib}/django/contrib/localflavor/fi/forms.py*
%{python_sitelib}/django/contrib/localflavor/fi/__init__.py*
%{python_sitelib}/django/contrib/localflavor/pt/forms.py*
%{python_sitelib}/django/contrib/localflavor/pt/__init__.py*
%{python_sitelib}/django/contrib/localflavor/kw/forms.py*
%{python_sitelib}/django/contrib/localflavor/kw/__init__.py*
%{python_sitelib}/django/contrib/localflavor/jp/forms.py*
%{python_sitelib}/django/contrib/localflavor/jp/jp_prefectures.py*
%{python_sitelib}/django/contrib/localflavor/jp/__init__.py*
%{python_sitelib}/django/contrib/localflavor/nl/nl_provinces.py*
%{python_sitelib}/django/contrib/localflavor/nl/forms.py*
%{python_sitelib}/django/contrib/localflavor/nl/__init__.py*
%{python_sitelib}/django/contrib/localflavor/ca/forms.py*
%{python_sitelib}/django/contrib/localflavor/ca/ca_provinces.py*
%{python_sitelib}/django/contrib/localflavor/ca/__init__.py*
%{python_sitelib}/django/contrib/localflavor/is_/forms.py*
%{python_sitelib}/django/contrib/localflavor/is_/is_postalcodes.py*
%{python_sitelib}/django/contrib/localflavor/is_/__init__.py*
%{python_sitelib}/django/contrib/localflavor/uk/forms.py*
%{python_sitelib}/django/contrib/localflavor/uk/uk_regions.py*
%{python_sitelib}/django/contrib/localflavor/uk/__init__.py*
%{python_sitelib}/django/contrib/localflavor/in_/forms.py*
%{python_sitelib}/django/contrib/localflavor/in_/in_states.py*
%{python_sitelib}/django/contrib/localflavor/in_/__init__.py*
%{python_sitelib}/django/contrib/localflavor/ar/forms.py*
%{python_sitelib}/django/contrib/localflavor/ar/__init__.py*
%{python_sitelib}/django/contrib/localflavor/ar/ar_provinces.py*
%{python_sitelib}/django/contrib/localflavor/mx/forms.py*
%{python_sitelib}/django/contrib/localflavor/mx/__init__.py*
%{python_sitelib}/django/contrib/localflavor/mx/mx_states.py*
%{python_sitelib}/django/contrib/localflavor/be/forms.py*
%{python_sitelib}/django/contrib/localflavor/be/be_regions.py*
%{python_sitelib}/django/contrib/localflavor/be/be_provinces.py*
%{python_sitelib}/django/contrib/localflavor/be/__init__.py*
%{python_sitelib}/django/contrib/localflavor/de/forms.py*
%{python_sitelib}/django/contrib/localflavor/de/__init__.py*
%{python_sitelib}/django/contrib/localflavor/de/de_states.py*
%{python_sitelib}/django/contrib/localflavor/pl/forms.py*
%{python_sitelib}/django/contrib/localflavor/pl/pl_voivodeships.py*
%{python_sitelib}/django/contrib/localflavor/pl/__init__.py*
%{python_sitelib}/django/contrib/localflavor/pl/pl_administrativeunits.py*
%{python_sitelib}/django/contrib/localflavor/sk/forms.py*
%{python_sitelib}/django/contrib/localflavor/sk/sk_regions.py*
%{python_sitelib}/django/contrib/localflavor/sk/__init__.py*
%{python_sitelib}/django/contrib/localflavor/sk/sk_districts.py*
%{python_sitelib}/django/contrib/localflavor/no/forms.py*
%{python_sitelib}/django/contrib/localflavor/no/no_municipalities.py*
%{python_sitelib}/django/contrib/localflavor/no/__init__.py*
%{python_sitelib}/django/contrib/localflavor/cl/forms.py*
%{python_sitelib}/django/contrib/localflavor/cl/cl_regions.py*
%{python_sitelib}/django/contrib/localflavor/cl/__init__.py*
%{python_sitelib}/django/contrib/localflavor/es/forms.py*
%{python_sitelib}/django/contrib/localflavor/es/es_regions.py*
%{python_sitelib}/django/contrib/localflavor/es/es_provinces.py*
%{python_sitelib}/django/contrib/localflavor/es/__init__.py*
%{python_sitelib}/django/contrib/localflavor/ie/ie_counties.py*
%{python_sitelib}/django/contrib/localflavor/ie/forms.py*
%{python_sitelib}/django/contrib/localflavor/ie/__init__.py*
%{python_sitelib}/django/contrib/localflavor/it/it_province.py*
%{python_sitelib}/django/contrib/localflavor/it/forms.py*
%{python_sitelib}/django/contrib/localflavor/it/it_region.py*
%{python_sitelib}/django/contrib/localflavor/it/util.py*
%{python_sitelib}/django/contrib/localflavor/it/__init__.py*
%{python_sitelib}/django/contrib/localflavor/at/forms.py*
%{python_sitelib}/django/contrib/localflavor/at/at_states.py*
%{python_sitelib}/django/contrib/localflavor/at/__init__.py*
%{python_sitelib}/django/contrib/localflavor/pe/pe_region.py*
%{python_sitelib}/django/contrib/localflavor/pe/forms.py*
%{python_sitelib}/django/contrib/localflavor/pe/__init__.py*
%{python_sitelib}/django/contrib/localflavor/br/br_states.py*
%{python_sitelib}/django/contrib/localflavor/br/forms.py*
%{python_sitelib}/django/contrib/localflavor/br/__init__.py*
%{python_sitelib}/django/contrib/localflavor/ro/forms.py*
%{python_sitelib}/django/contrib/localflavor/ro/ro_counties.py*
%{python_sitelib}/django/contrib/localflavor/ro/__init__.py*
%{python_sitelib}/django/contrib/localflavor/fr/forms.py*
%{python_sitelib}/django/contrib/localflavor/fr/fr_department.py*
%{python_sitelib}/django/contrib/localflavor/fr/__init__.py*
%{python_sitelib}/django/contrib/localflavor/__init__.py*
%{python_sitelib}/django/contrib/localflavor/za/za_provinces.py*
%{python_sitelib}/django/contrib/localflavor/za/forms.py*
%{python_sitelib}/django/contrib/localflavor/za/__init__.py*
%{python_sitelib}/django/contrib/localflavor/uy/uy_departaments.py*
%{python_sitelib}/django/contrib/localflavor/uy/forms.py*
%{python_sitelib}/django/contrib/localflavor/uy/util.py*
%{python_sitelib}/django/contrib/localflavor/uy/__init__.py*
%{python_sitelib}/django/contrib/localflavor/generic/forms.py*
%{python_sitelib}/django/contrib/localflavor/generic/__init__.py*
%{python_sitelib}/django/contrib/localflavor/tr/forms.py*
%{python_sitelib}/django/contrib/localflavor/tr/tr_provinces.py*
%{python_sitelib}/django/contrib/localflavor/tr/__init__.py*
%{python_sitelib}/django/contrib/sites/managers.py*
%{python_sitelib}/django/contrib/sites/admin.py*
%{python_sitelib}/django/contrib/sites/models.py*
%{python_sitelib}/django/contrib/sites/tests.py*
%{python_sitelib}/django/contrib/sites/management.py*
%{python_sitelib}/django/contrib/sites/__init__.py*
%{python_sitelib}/django/contrib/databrowse/plugins/calendars.py*
%{python_sitelib}/django/contrib/databrowse/plugins/objects.py*
%{python_sitelib}/django/contrib/databrowse/plugins/__init__.py*
%{python_sitelib}/django/contrib/databrowse/plugins/fieldchoices.py*
%{python_sitelib}/django/contrib/databrowse/datastructures.py*
%{python_sitelib}/django/contrib/databrowse/sites.py*
%{python_sitelib}/django/contrib/databrowse/urls.py*
%{python_sitelib}/django/contrib/databrowse/__init__.py*
%{python_sitelib}/django/contrib/databrowse/views.py*
%{python_sitelib}/django/contrib/databrowse/templates
%{python_sitelib}/django/contrib/redirects/admin.py*
%{python_sitelib}/django/contrib/redirects/middleware.py*
%{python_sitelib}/django/contrib/redirects/models.py*
%{python_sitelib}/django/contrib/redirects/__init__.py*
%{python_sitelib}/django/contrib/messages/context_processors.py*
%{python_sitelib}/django/contrib/messages/constants.py*
%{python_sitelib}/django/contrib/messages/utils.py*
%{python_sitelib}/django/contrib/messages/middleware.py*
%{python_sitelib}/django/contrib/messages/models.py*
%{python_sitelib}/django/contrib/messages/storage/session.py*
%{python_sitelib}/django/contrib/messages/storage/base.py*
%{python_sitelib}/django/contrib/messages/storage/user_messages.py*
%{python_sitelib}/django/contrib/messages/storage/fallback.py*
%{python_sitelib}/django/contrib/messages/storage/cookie.py*
%{python_sitelib}/django/contrib/messages/storage/__init__.py*
%{python_sitelib}/django/contrib/messages/tests/urls.py*
%{python_sitelib}/django/contrib/messages/tests/session.py*
%{python_sitelib}/django/contrib/messages/tests/middleware.py*
%{python_sitelib}/django/contrib/messages/tests/base.py*
%{python_sitelib}/django/contrib/messages/tests/user_messages.py*
%{python_sitelib}/django/contrib/messages/tests/fallback.py*
%{python_sitelib}/django/contrib/messages/tests/cookie.py*
%{python_sitelib}/django/contrib/messages/tests/__init__.py*
%{python_sitelib}/django/contrib/messages/__init__.py*
%{python_sitelib}/django/contrib/messages/api.py*
%{python_sitelib}/django/contrib/markup/models.py*
%{python_sitelib}/django/contrib/markup/templatetags/markup.py*
%{python_sitelib}/django/contrib/markup/templatetags/__init__.py*
%{python_sitelib}/django/contrib/markup/tests.py*
%{python_sitelib}/django/contrib/markup/__init__.py*
%{python_sitelib}/django/contrib/sessions/middleware.py*
%{python_sitelib}/django/contrib/sessions/models.py*
%{python_sitelib}/django/contrib/sessions/backends/db.py*
%{python_sitelib}/django/contrib/sessions/backends/cached_db.py*
%{python_sitelib}/django/contrib/sessions/backends/file.py*
%{python_sitelib}/django/contrib/sessions/backends/base.py*
%{python_sitelib}/django/contrib/sessions/backends/cache.py*
%{python_sitelib}/django/contrib/sessions/backends/__init__.py*
%{python_sitelib}/django/contrib/sessions/tests.py*
%{python_sitelib}/django/contrib/sessions/__init__.py*
%{python_sitelib}/django/contrib/staticfiles/finders.py*
%{python_sitelib}/django/contrib/staticfiles/urls.py*
%{python_sitelib}/django/contrib/staticfiles/utils.py*
%{python_sitelib}/django/contrib/staticfiles/models.py*
%{python_sitelib}/django/contrib/staticfiles/management/commands/runserver.py*
%{python_sitelib}/django/contrib/staticfiles/management/commands/findstatic.py*
%{python_sitelib}/django/contrib/staticfiles/management/commands/collectstatic.py*
%{python_sitelib}/django/contrib/staticfiles/management/commands/__init__.py*
%{python_sitelib}/django/contrib/staticfiles/management/__init__.py*
%{python_sitelib}/django/contrib/staticfiles/storage.py*
%{python_sitelib}/django/contrib/staticfiles/handlers.py*
%{python_sitelib}/django/contrib/staticfiles/__init__.py*
%{python_sitelib}/django/contrib/staticfiles/views.py*
%{python_sitelib}/django/contrib/admin/helpers.py*
%{python_sitelib}/django/contrib/admin/sites.py*
%{python_sitelib}/django/contrib/admin/options.py*
%{python_sitelib}/django/contrib/admin/forms.py*
%{python_sitelib}/django/contrib/admin/models.py*
%{python_sitelib}/django/contrib/admin/actions.py*
%{python_sitelib}/django/contrib/admin/templatetags/admin_list.py*
%{python_sitelib}/django/contrib/admin/templatetags/adminmedia.py*
%{python_sitelib}/django/contrib/admin/templatetags/admin_modify.py*
%{python_sitelib}/django/contrib/admin/templatetags/__init__.py*
%{python_sitelib}/django/contrib/admin/templatetags/log.py*
%{python_sitelib}/django/contrib/admin/util.py*
%{python_sitelib}/django/contrib/admin/views/decorators.py*
%{python_sitelib}/django/contrib/admin/views/main.py*
%{python_sitelib}/django/contrib/admin/views/__init__.py*
%{python_sitelib}/django/contrib/admin/widgets.py*
%{python_sitelib}/django/contrib/admin/filterspecs.py*
%{python_sitelib}/django/contrib/admin/validation.py*
%{python_sitelib}/django/contrib/admin/__init__.py*
%{python_sitelib}/django/contrib/admin/media/img
%{python_sitelib}/django/contrib/admin/media/js/*.txt
%{python_sitelib}/django/contrib/admin/media/js/*.js
%{python_sitelib}/django/contrib/admin/media/js/admin
%{python_sitelib}/django/contrib/admin/media/css
%{python_sitelib}/django/contrib/admin/templates
%{python_sitelib}/django/contrib/flatpages/urls.py*
%{python_sitelib}/django/contrib/flatpages/admin.py*
%{python_sitelib}/django/contrib/flatpages/middleware.py*
%{python_sitelib}/django/contrib/flatpages/models.py*
%{python_sitelib}/django/contrib/flatpages/templatetags/flatpages.py*
%{python_sitelib}/django/contrib/flatpages/templatetags/__init__.py*
%{python_sitelib}/django/contrib/flatpages/tests/urls.py*
%{python_sitelib}/django/contrib/flatpages/tests/middleware.py*
%{python_sitelib}/django/contrib/flatpages/tests/forms.py*
%{python_sitelib}/django/contrib/flatpages/tests/csrf.py*
%{python_sitelib}/django/contrib/flatpages/tests/templatetags.py*
%{python_sitelib}/django/contrib/flatpages/tests/__init__.py*
%{python_sitelib}/django/contrib/flatpages/tests/views.py*
%{python_sitelib}/django/contrib/flatpages/__init__.py*
%{python_sitelib}/django/contrib/flatpages/views.py*
%{python_sitelib}/django/contrib/flatpages/fixtures
%{python_sitelib}/django/contrib/flatpages/tests/templates
%{python_sitelib}/django/contrib/contenttypes/models.py*
%{python_sitelib}/django/contrib/contenttypes/generic.py*
%{python_sitelib}/django/contrib/contenttypes/tests.py*
%{python_sitelib}/django/contrib/contenttypes/management.py*
%{python_sitelib}/django/contrib/contenttypes/__init__.py*
%{python_sitelib}/django/contrib/contenttypes/views.py*
%{python_sitelib}/django/contrib/__init__.py*
%{python_sitelib}/django/contrib/gis/gdal/geometries.py*
%{python_sitelib}/django/contrib/gis/gdal/srs.py*
%{python_sitelib}/django/contrib/gis/gdal/datasource.py*
%{python_sitelib}/django/contrib/gis/gdal/field.py*
%{python_sitelib}/django/contrib/gis/gdal/layer.py*
%{python_sitelib}/django/contrib/gis/gdal/prototypes/geom.py*
%{python_sitelib}/django/contrib/gis/gdal/prototypes/srs.py*
%{python_sitelib}/django/contrib/gis/gdal/prototypes/generation.py*
%{python_sitelib}/django/contrib/gis/gdal/prototypes/ds.py*
%{python_sitelib}/django/contrib/gis/gdal/prototypes/__init__.py*
%{python_sitelib}/django/contrib/gis/gdal/prototypes/errcheck.py*
%{python_sitelib}/django/contrib/gis/gdal/driver.py*
%{python_sitelib}/django/contrib/gis/gdal/base.py*
%{python_sitelib}/django/contrib/gis/gdal/error.py*
%{python_sitelib}/django/contrib/gis/gdal/tests/test_geom.py*
%{python_sitelib}/django/contrib/gis/gdal/tests/test_ds.py*
%{python_sitelib}/django/contrib/gis/gdal/tests/test_srs.py*
%{python_sitelib}/django/contrib/gis/gdal/tests/test_driver.py*
%{python_sitelib}/django/contrib/gis/gdal/tests/test_envelope.py*
%{python_sitelib}/django/contrib/gis/gdal/tests/__init__.py*
%{python_sitelib}/django/contrib/gis/gdal/envelope.py*
%{python_sitelib}/django/contrib/gis/gdal/__init__.py*
%{python_sitelib}/django/contrib/gis/gdal/geomtype.py*
%{python_sitelib}/django/contrib/gis/gdal/feature.py*
%{python_sitelib}/django/contrib/gis/gdal/libgdal.py*
%{python_sitelib}/django/contrib/gis/sitemaps/kml.py*
%{python_sitelib}/django/contrib/gis/sitemaps/georss.py*
%{python_sitelib}/django/contrib/gis/sitemaps/__init__.py*
%{python_sitelib}/django/contrib/gis/sitemaps/views.py*
%{python_sitelib}/django/contrib/gis/shortcuts.py*
%{python_sitelib}/django/contrib/gis/geometry/test_data.py*
%{python_sitelib}/django/contrib/gis/geometry/backend/geos.py*
%{python_sitelib}/django/contrib/gis/geometry/backend/__init__.py*
%{python_sitelib}/django/contrib/gis/geometry/regex.py*
%{python_sitelib}/django/contrib/gis/geometry/__init__.py*
%{python_sitelib}/django/contrib/gis/models.py*
%{python_sitelib}/django/contrib/gis/management/base.py*
%{python_sitelib}/django/contrib/gis/management/commands/inspectdb.py*
%{python_sitelib}/django/contrib/gis/management/commands/__init__.py*
%{python_sitelib}/django/contrib/gis/management/commands/ogrinspect.py*
%{python_sitelib}/django/contrib/gis/management/__init__.py*
%{python_sitelib}/django/contrib/gis/feeds.py*
%{python_sitelib}/django/contrib/gis/utils/srs.py*
%{python_sitelib}/django/contrib/gis/utils/layermapping.py*
%{python_sitelib}/django/contrib/gis/utils/geoip.py*
%{python_sitelib}/django/contrib/gis/utils/__init__.py*
%{python_sitelib}/django/contrib/gis/utils/ogrinfo.py*
%{python_sitelib}/django/contrib/gis/utils/wkt.py*
%{python_sitelib}/django/contrib/gis/utils/ogrinspect.py*
%{python_sitelib}/django/contrib/gis/maps/google/zoom.py*
%{python_sitelib}/django/contrib/gis/maps/google/overlays.py*
%{python_sitelib}/django/contrib/gis/maps/google/gmap.py*
%{python_sitelib}/django/contrib/gis/maps/google/__init__.py*
%{python_sitelib}/django/contrib/gis/maps/openlayers/__init__.py*
%{python_sitelib}/django/contrib/gis/maps/__init__.py*
%{python_sitelib}/django/contrib/gis/geos/prepared.py*
%{python_sitelib}/django/contrib/gis/geos/coordseq.py*
%{python_sitelib}/django/contrib/gis/geos/linestring.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/geom.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/threadsafe.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/prepared.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/predicates.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/coordseq.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/misc.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/topology.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/io.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/__init__.py*
%{python_sitelib}/django/contrib/gis/geos/prototypes/errcheck.py*
%{python_sitelib}/django/contrib/gis/geos/collections.py*
%{python_sitelib}/django/contrib/gis/geos/point.py*
%{python_sitelib}/django/contrib/gis/geos/io.py*
%{python_sitelib}/django/contrib/gis/geos/base.py*
%{python_sitelib}/django/contrib/gis/geos/error.py*
%{python_sitelib}/django/contrib/gis/geos/factory.py*
%{python_sitelib}/django/contrib/gis/geos/polygon.py*
%{python_sitelib}/django/contrib/gis/geos/mutable_list.py*
%{python_sitelib}/django/contrib/gis/geos/tests/test_geos.py*
%{python_sitelib}/django/contrib/gis/geos/tests/test_mutable_list.py*
%{python_sitelib}/django/contrib/gis/geos/tests/test_io.py*
%{python_sitelib}/django/contrib/gis/geos/tests/test_geos_mutation.py*
%{python_sitelib}/django/contrib/gis/geos/tests/__init__.py*
%{python_sitelib}/django/contrib/gis/geos/geometry.py*
%{python_sitelib}/django/contrib/gis/geos/libgeos.py*
%{python_sitelib}/django/contrib/gis/geos/__init__.py*
%{python_sitelib}/django/contrib/gis/forms/fields.py*
%{python_sitelib}/django/contrib/gis/forms/__init__.py*
%{python_sitelib}/django/contrib/gis/measure.py*
%{python_sitelib}/django/contrib/gis/tests/layermap/models.py*
%{python_sitelib}/django/contrib/gis/tests/layermap/tests.py*
%{python_sitelib}/django/contrib/gis/tests/layermap/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/utils.py*
%{python_sitelib}/django/contrib/gis/tests/geo3d/models.py*
%{python_sitelib}/django/contrib/gis/tests/geo3d/tests.py*
%{python_sitelib}/django/contrib/gis/tests/geo3d/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/geo3d/views.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/urls.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/models.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/feeds.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/tests.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/sitemaps.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/test_sitemaps.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/test_regress.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/geoapp/test_feeds.py*
%{python_sitelib}/django/contrib/gis/tests/relatedapp/models.py*
%{python_sitelib}/django/contrib/gis/tests/relatedapp/tests.py*
%{python_sitelib}/django/contrib/gis/tests/relatedapp/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/distapp/models.py*
%{python_sitelib}/django/contrib/gis/tests/distapp/tests.py*
%{python_sitelib}/django/contrib/gis/tests/distapp/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/test_geoip.py*
%{python_sitelib}/django/contrib/gis/tests/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/test_geoforms.py*
%{python_sitelib}/django/contrib/gis/tests/test_measure.py*
%{python_sitelib}/django/contrib/gis/tests/geogapp/models.py*
%{python_sitelib}/django/contrib/gis/tests/geogapp/tests.py*
%{python_sitelib}/django/contrib/gis/tests/geogapp/__init__.py*
%{python_sitelib}/django/contrib/gis/tests/test_spatialrefsys.py*
%{python_sitelib}/django/contrib/gis/admin/options.py*
%{python_sitelib}/django/contrib/gis/admin/widgets.py*
%{python_sitelib}/django/contrib/gis/admin/__init__.py*
%{python_sitelib}/django/contrib/gis/db/models/aggregates.py*
%{python_sitelib}/django/contrib/gis/db/models/sql/compiler.py*
%{python_sitelib}/django/contrib/gis/db/models/sql/aggregates.py*
%{python_sitelib}/django/contrib/gis/db/models/sql/conversion.py*
%{python_sitelib}/django/contrib/gis/db/models/sql/where.py*
%{python_sitelib}/django/contrib/gis/db/models/sql/__init__.py*
%{python_sitelib}/django/contrib/gis/db/models/sql/query.py*
%{python_sitelib}/django/contrib/gis/db/models/fields.py*
%{python_sitelib}/django/contrib/gis/db/models/proxy.py*
%{python_sitelib}/django/contrib/gis/db/models/manager.py*
%{python_sitelib}/django/contrib/gis/db/models/__init__.py*
%{python_sitelib}/django/contrib/gis/db/models/query.py*
%{python_sitelib}/django/contrib/gis/db/backend/__init__.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/models.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/introspection.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/base.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/creation.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/__init__.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/adapter.py*
%{python_sitelib}/django/contrib/gis/db/backends/postgis/operations.py*
%{python_sitelib}/django/contrib/gis/db/backends/base.py*
%{python_sitelib}/django/contrib/gis/db/backends/util.py*
%{python_sitelib}/django/contrib/gis/db/backends/mysql/introspection.py*
%{python_sitelib}/django/contrib/gis/db/backends/mysql/base.py*
%{python_sitelib}/django/contrib/gis/db/backends/mysql/creation.py*
%{python_sitelib}/django/contrib/gis/db/backends/mysql/__init__.py*
%{python_sitelib}/django/contrib/gis/db/backends/mysql/operations.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/compiler.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/models.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/introspection.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/base.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/creation.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/__init__.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/adapter.py*
%{python_sitelib}/django/contrib/gis/db/backends/oracle/operations.py*
%{python_sitelib}/django/contrib/gis/db/backends/__init__.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/client.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/models.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/introspection.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/base.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/creation.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/__init__.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/adapter.py*
%{python_sitelib}/django/contrib/gis/db/backends/spatialite/operations.py*
%{python_sitelib}/django/contrib/gis/db/backends/adapter.py*
%{python_sitelib}/django/contrib/gis/db/__init__.py*
%{python_sitelib}/django/contrib/gis/__init__.py*
%{python_sitelib}/django/contrib/gis/templates
%{python_sitelib}/django/contrib/gis/tests/data
%{python_sitelib}/django/contrib/gis/tests/distapp/fixtures
%{python_sitelib}/django/contrib/gis/tests/geoapp/fixtures
%{python_sitelib}/django/contrib/gis/tests/geogapp/fixtures
%{python_sitelib}/django/contrib/gis/tests/relatedapp/fixtures
%{python_sitelib}/django/contrib/comments/managers.py*
%{python_sitelib}/django/contrib/comments/urls.py*
%{python_sitelib}/django/contrib/comments/admin.py*
%{python_sitelib}/django/contrib/comments/forms.py*
%{python_sitelib}/django/contrib/comments/models.py*
%{python_sitelib}/django/contrib/comments/moderation.py*
%{python_sitelib}/django/contrib/comments/feeds.py*
%{python_sitelib}/django/contrib/comments/templatetags/comments.py*
%{python_sitelib}/django/contrib/comments/templatetags/__init__.py*
%{python_sitelib}/django/contrib/comments/views/utils.py*
%{python_sitelib}/django/contrib/comments/views/comments.py*
%{python_sitelib}/django/contrib/comments/views/moderation.py*
%{python_sitelib}/django/contrib/comments/views/__init__.py*
%{python_sitelib}/django/contrib/comments/__init__.py*
%{python_sitelib}/django/contrib/comments/signals.py*
%{python_sitelib}/django/contrib/comments/templates
## END
%{python_sitelib}/django/forms/
%{python_sitelib}/django/templatetags/ 
%{python_sitelib}/django/core/
%{python_sitelib}/django/http/
%{python_sitelib}/django/middleware/
%{python_sitelib}/django/test/
%{python_sitelib}/django/conf/*.py*
%{python_sitelib}/django/conf/project_template/__init__.py*
%{python_sitelib}/django/conf/project_template/settings.py*
%{python_sitelib}/django/conf/project_template/urls.py*
%{python_sitelib}/django/conf/app_template/
%{python_sitelib}/django/conf/urls/
%{python_sitelib}/django/conf/locale/*/*.py*
%{python_sitelib}/django/conf/locale/*.py*
%dir %{python_sitelib}/django/

# Leaving these since people may want to rebuild on lower dists
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
%{python_sitelib}/*.egg-info
%endif

%if 0%{?fedora} > 0 && 0%{?fedora} <= 9
%ghost %{_bindir}/django-admin.pyc
%ghost %{_bindir}/django-admin.pyo
%endif
# -----------------
 

%if 0%{?rhel} > 4 || 0%{?fedora} >= 12
%files doc
%defattr(-,root,root,-)
# %doc docs/_build/dirhtml/*
%endif


%changelog
* Mon Jun 13 2011 James Laska <jlaska@redhat.com> - 1.3-2.1
- Expanded spec files section to satisfy EPEL-5 building

* Wed Mar 30 2011 Steve Milner <me@stevemilner.org> - 1.3-2
- Fix for BZ#693865

* Wed Mar 30 2011 Steve Milner <me@stevemilner.org> - 1.3-1
- Fix for es_MX upstream bug
- Update for upstream release

* Wed Feb  9 2011 Steve Milner <me@stevemilner.org> - 1.2.5-1
- Fix for CVE-2011-0697

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.2.4-1
- Update for multiple security issues (see http://www.djangoproject.com/weblog/2010/dec/22/security/)

* Sat Oct  9 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.2.3-3
- Now build docs for F12+
- Added Django-remove-djangodocs-ext.patch

* Sat Oct  9 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.2.3-2
- Moved to dirhtml for documentation generation

* Mon Sep 13 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.2.3-1
- Update for http://www.djangoproject.com/weblog/2010/sep/10/123/

* Thu Sep  9 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.2.2-1
- Update for CVE-2010-3082 (see http://www.djangoproject.com/weblog/2010/sep/08/security-release/)
- Removed Django-hash-compat-13310.patch as it is already included in this release

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun  8 2010 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.2.1-5
- Added http://code.djangoproject.com/changeset/13310?format=diff&new=13310 per BZ#601212

* Thu Jun  3 2010 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.2.1-4
- Include egg in >= rhel6

* Thu Jun  3 2010 Michel Salim <salimma@fedoraproject.org> - 1.2.1-3
- Use generated %%{name}.lang instead of including each locale file by hand
- Temporarily make main package provide -doc on Rawhide, to fix upgrade path
  until upstream documentation builds with Sphinx 1.0

* Thu May 27 2010 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.2.1-2
- Allow for building docs in F13 as it's only F14 freaking out

* Tue May 25 2010 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.2.1-1
- Update for new release.
- Added lang files per BZ#584866.
- Changed perms on %%{python_sitelib}/django/contrib/admin/media/js/compress.py
- Lots of explicit files listed in %%files in order to reduce duplicate file listings
- Docs are not built on F-13 for now

* Wed Oct 21 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.1.1-2
- Removed po files per BZ#529188.

* Fri Oct  9 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.1.1-1
- Update to fix http://www.djangoproject.com/weblog/2009/oct/09/security/
- Django-ignore-pyo-bz-495046.patch no longer needed.

* Wed Aug 26 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.1-4
- EL-4 shouldn't get the sphinx docs.

* Wed Aug 26 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.1-3
- ghosting admin py* is now FC9 and under.

* Thu Aug  6 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.1-2
- Applied Daniel Mach's patch from bz#516016.

* Sat Aug  1 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.1-1
- Update for Django 1.1 release.
- Moved /usr/bin/django-admin.py to /usr/bin/django-admin
- sed macro is now being used
- Patch for bz#495046 applied.

* Wed Jul 29 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.0.3-6
- Attempted combined spec for F12/11/10 and EL5

* Wed Jul 29 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.0.3-4
- Older builds must ghost django-admin.py[c,o]

* Wed Jul 29 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.0.3-3
- Bump for tag issue.

* Wed Jul 29 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.0.3-2
- Fix changelog.

* Wed Jul 29 2009 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.0.3-1
- Upgrade for http://www.djangoproject.com/weblog/2009/jul/28/security/

* Thu Mar 12 2009 Michel Salim <salimma@fedoraproject.org> - 1.0.2-3
- Build HTML documentation (bug #484070)
- No longer excluding *.py? in bindir, F11's Python does not optimizes these

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 14 2008 Michel Salim <salimma@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Sat Nov  1 2008 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 1.0.1-0.1.beta1
- Update to 1.0.1_beta_1

* Sat Sep  6 2008 Michel Salim <salimma@fedoraproject.org> - 1.0-1
- Update to final 1.0 release

* Tue Sep  2 2008 Michel Salim <salimma@fedoraproject.org> - 1.0-0.1.rc1%{?dist}
- CSRF security update: bz#460966

* Wed Aug 27 2008 Michel Salim <salimma@fedoraproject.org> - 1.0-0.1.beta2
- Update to 1.0 beta2

* Sat Aug 23 2008 Michel Salim <salimma@fedoraproject.org> - 1.0-0.1.beta1
- Update to 1.0 beta1

* Mon May 19 2008 Michel Salim <salimma@fedoraproject.org> - 0.96.2-1
- XSS security update: CVE-2008-2302 (bz# 442757-60)

* Sat Apr  5 2008 Michel Salim <salimma@fedoraproject.org> - 0.96.1-2
- Package .egg-info file on Fedora >= 9

* Thu Nov  1 2007 Michel Salim <michel.sylvan@gmail.com> 0.96.1-1
- i18n security update: CVE-2007-5712, bz#357051

* Sat Mar 24 2007 Michel Salim <michel.salim@gmail.com> - 0.96-1
- New upstream version

* Sun Jan 21 2007 Michel Salim <michel.salim@gmail.com> - 0.95.1-1
- Upstream security updates:
  http://www.djangoproject.com/weblog/2007/jan/21/0951/

* Sun Nov 12 2006 Michel Salim <michel.salim@gmail.com> - 0.95-1
- Initial package
